Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.cusermanager
Interface IDataHandler

All Known Implementing Classes:
  DefaultDataHandlerImpl

    public interface IDataHandler

This interface uses the default org.jasig.portal.security.provider.PersonImpl of the IPerson object to send and recieve data arrays. These are not functional IPerson objects. Rather, the attributes of a person in the IPerson object are the key/value pairs of the column/values contained within the up_person_dir table.

Version:
  $Revision: 1.4 $ $Date: 2005/04/17 19:17:13 $
Author:
  smb1@cornell.edu

Method Summary
`void` | `addUser(IPerson AnIndividual)`
`IPerson[]` | `getAllUsers()`
`IPerson[]` | `getAllUsersLike(java.lang.String SearchString)`
`IPerson` | `getUser(java.lang.String UID)`
`void` | `removeUser(IPerson AnIndividual)`
`void` | `setUserInformation(IPerson AnIndividual)`
`void` | `setUserPassword(IPerson AnIndividual, java.lang.String OriginalPassword)` OriginalPassword is null if called in "UserManager" mode.

Method Detail

### getAllUsers

    IPerson[] getAllUsers()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAllUsersLike

    IPerson[] getAllUsersLike(java.lang.String SearchString)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getUser

    IPerson getUser(java.lang.String UID)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setUserInformation

    void setUserInformation(IPerson AnIndividual)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addUser

    void addUser(IPerson AnIndividual)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeUser

    void removeUser(IPerson AnIndividual)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setUserPassword

    void setUserPassword(IPerson AnIndividual,
                         java.lang.String OriginalPassword)
                         throws java.lang.Exception

  OriginalPassword is null if called in "UserManager" mode.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD